Subject: bug#70074: 29.1; js-ts-mode doesn't define comment-line-break-function

From: Yuan Fu <[email-masked]>
Date: Mon, 8 Apr 2024 00:10:32 -0700

> On Apr 4, 2024, at 5:28 PM, Dmitry Gutov <[email-masked]> wrote:
> 
> On 04/04/2024 15:32, Eli Zaretskii wrote:
>>> From: Evan Davis<[email-masked]>
>>> Date: Fri, 29 Mar 2024 11:03:10 -0400
>>> 
>>> js-ts-mode and js-mode behave differently when calling default-indent-new-line (M-j) within a multiline
>>> comment.
>>> 
>>> Observed behavior:
>>>   - in js-mode, M-j calls c-indent-new-comment-line, which correctly inserts a newline, indented to the correct
>>> column and prefixed with '*'
>>>   - in js-ts-mode, M-j calls comment-indent-new-line, which inserts an indented newline without the prefix.
>>> 
>>> Expected behavior:
>>> Block comments should be handled the same in both modes.
>>> 
>>> Steps to reproduce:
>>> 1. emacs -Q
>>> 2. open a scratch buffer in js-ts-mode and enter text (without quotes) "/*"
>>> 3. press M-j
>>> 4. observe newline is created without star prefix
>>> 
>>> Follow the same steps in js-mode to observe the desired behavior.
>> Dmitry, Yuan: any comments or suggestions?
> 
> I suppose following in js-mode's footsteps and reusing this part of CC Mode is the obvious solution.
> 
> I haven't looked at the implementation closely enough to suggest something else, but it'd of course be nice to be able to provide a self-contained, shorter re-implementation instead.

Sounds good. I wasn’t aware of this command before. Let me add it to c-ts-common.el.

Yuan